<?php

// add condition column
add_filter( 'manage_ihafs_script_posts_columns', 'ihafs_pro_filter_posts_columns' );
function ihafs_pro_filter_posts_columns( $columns ) {

  $columns = array(
    'cb' => $columns['cb'],
    'title' => $columns['title'],
    'condition' => esc_html__( 'Conditon', 'ihafs-pro' ),
    'date' => $columns['date'],
  );

  return $columns;
}


// condition column value
add_action('plugins_loaded', 'ihafs_pro_posts_custom_column_fire');
function ihafs_pro_posts_custom_column_fire(){
	if(!defined('IHAFS_URI')){
		add_action( 'manage_ihafs_script_posts_custom_column', 'ihafs_pro_posts_custom_column', 10, 2);
	}
}


function ihafs_pro_posts_custom_column( $column, $post_id ) {
  if ( 'condition' === $column ) {
    echo ucwords(get_post_meta( $post_id, '_ihafs_condition', true ));
  }
}