(function($) {
    "use strict";

    $( document ).ready(function() {

    });
    var $current_show_on = jQuery('.cmb2-id--ihafs-show-on li input[checked="checked"]').attr('value');

    // show/hide exclude page/post when click on full_website
    var $exclude_selector = jQuery('.cmb2-id--ihafs-exclude-pages,.cmb2-id--ihafs-exclude-posts');

    $exclude_selector.slideUp();
    if( $current_show_on == 'full_website'){
    	$exclude_selector.slideDown();
    }

    jQuery('.cmb2-id--ihafs-show-on li input').on('click', function() {
    	var $clicked_value = this.getAttribute('value');

	    if( $clicked_value == 'full_website'){
	    	$exclude_selector.slideDown();
	    } else {
	    	$exclude_selector.slideUp();
	    }
    });

    // show/hide page list when click on only page
    var $pages_list_selector = jQuery('.cmb2-id--ihafs-pages-list');

    $pages_list_selector.slideUp();
    if( $current_show_on == 'only_pages'){
    	$pages_list_selector.slideDown();
    }

    jQuery('.cmb2-id--ihafs-show-on li input').on('click', function() {
    	var $clicked_value = this.getAttribute('value');

	    if( $clicked_value == 'only_pages'){
	    	$pages_list_selector.slideDown();
	    } else {
	    	$pages_list_selector.slideUp();
	    }
    });

    // show/hide post list when click on only post
    var $posts_list_selector = jQuery('.cmb2-id--ihafs-posts-list');

    $posts_list_selector.slideUp();
    if( $current_show_on == 'only_posts'){
    	$posts_list_selector.slideDown();
    }

    jQuery('.cmb2-id--ihafs-show-on li input').on('click', function() {
    	var $clicked_value = this.getAttribute('value');

	    if( $clicked_value == 'only_posts'){
	    	$posts_list_selector.slideDown();
	    } else {
	    	$posts_list_selector.slideUp();
	    }
    });

    // show/hide categories list when click on only categories
    var $categories_list_selector = jQuery('.cmb2-id--ihafs-categories-list');

    $categories_list_selector.slideUp();
    if( $current_show_on == 'only_categories'){
    	$categories_list_selector.slideDown();
    }

    jQuery('.cmb2-id--ihafs-show-on li input').on('click', function() {
    	var $clicked_value = this.getAttribute('value');

	    if( $clicked_value == 'only_categories'){
	    	$categories_list_selector.slideDown();
	    } else {
	    	$categories_list_selector.slideUp();
	    }
    });

    // show/hide tags list when click on only tags
    var $tags_list_selector = jQuery('.cmb2-id--ihafs-tags-list');

    $tags_list_selector.slideUp();
    if( $current_show_on == 'only_tags'){
    	$tags_list_selector.slideDown();
    }

    jQuery('.cmb2-id--ihafs-show-on li input').on('click', function() {
    	var $clicked_value = this.getAttribute('value');

	    if( $clicked_value == 'only_tags'){
	    	$tags_list_selector.slideDown();
	    } else {
	    	$tags_list_selector.slideUp();
	    }
    });

})(jQuery);