<?php
/**
 * Plugin Name: Insert Headers and Footers Script Pro
 * Plugin URI: https://hasthemes.com/plugins/insert-headers-and-footers-code-ht-script/
 * Description: This plugin allow you to insert script in headers and footers
 * Version: 1.0.0
 * Author: CodeCarnival
 * Author URI: https://hasthemes.com/
 * License:  	GPL-2.0+
 * License URI: http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain: ihafs-pro
 * Domain Path: /languages
*/

// define path
define( 'IHAFS_PRO_URI', plugins_url('', __FILE__) );
define( 'IHAFS_PRO_DIR', dirname( __FILE__ ) );

// include all files
include_once( IHAFS_PRO_DIR. '/inc/custom-posts.php');
include_once( IHAFS_PRO_DIR. '/admin/cmb2/init.php');
include_once( IHAFS_PRO_DIR. '/admin/functions.php');

add_action( 'cmb2_admin_init', 'ihafs_pro_add_metabox' );
function ihafs_pro_add_metabox(){
    include_once( IHAFS_PRO_DIR. '/inc/metabox-multiple-select.php');
    include_once( IHAFS_PRO_DIR. '/inc/metabox.php');
}

// load textdomain
add_action( 'plugins_loaded', 'ihafs_pro_load_textdomain' );
function ihafs_pro_load_textdomain() {
    load_plugin_textdomain( 'ihafs-pro', false, basename(IHAFS_PRO_URI) . '/languages/' );
}

// admin enqueue scripts
add_action( 'admin_enqueue_scripts','ihafs_pro_enqueue_scripts');
function  ihafs_pro_enqueue_scripts( ){
	//enqueue js
	wp_enqueue_script( 'ihafs-pro-admin', IHAFS_PRO_URI.'/admin/js/admin.js', array('jquery'), '', true);
}